<div>
    <h2>
        <span jhiTranslate="pcidssApp.requirementWorkStatus.home.title">Requirement Work Statuses</span>
        <button class="btn btn-primary float-right create-requirement-work-status" [routerLink]="['/', { outlets: { popup: ['requirement-work-status-new'] } }]">
            <span class="fa fa-plus"></span>
            <span  jhiTranslate="pcidssApp.requirementWorkStatus.home.createLabel">
            Create new Requirement Work Status
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
    </div>
    <br/>
    <div class="table-responsive" *ngIf="requirementWorkStatuses">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="status"><span jhiTranslate="pcidssApp.requirementWorkStatus.status">Status</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="assignById.login"><span jhiTranslate="pcidssApp.requirementWorkStatus.assignById">Assign By Id</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="assignToId.login"><span jhiTranslate="pcidssApp.requirementWorkStatus.assignToId">Assign To Id</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="pcidssRequirementId.id"><span jhiTranslate="pcidssApp.requirementWorkStatus.pcidssRequirementId">Pcidss Requirement Id</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let requirementWorkStatus of requirementWorkStatuses ;trackBy: trackId">
                <td><a [routerLink]="['../requirement-work-status', requirementWorkStatus.id ]">{{requirementWorkStatus.id}}</a></td>
                <td>{{requirementWorkStatus.status}}</td>
                <td>
                    {{requirementWorkStatus.assignById?.login}}
                </td>
                <td>
                    {{requirementWorkStatus.assignToId?.login}}
                </td>
                <td>
                    <div *ngIf="requirementWorkStatus.pcidssRequirementId">
                        <a [routerLink]="['../pcidss-requirement', requirementWorkStatus.pcidssRequirementId?.id ]" >{{requirementWorkStatus.pcidssRequirementId?.id}}</a>
                    </div>
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../requirement-work-status', requirementWorkStatus.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="hidden-md-down" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'requirement-work-status/'+ requirementWorkStatus.id + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="hidden-md-down" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'requirement-work-status/'+ requirementWorkStatus.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="hidden-md-down" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
        <div *ngIf="requirementWorkStatuses && requirementWorkStatuses.length">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
</div>
